{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-argo-notifications
  namespace: argocd
spec:
  description: Allow access to the ArgoCD Notifications
  egress:
    - toFQDNs:
        - matchName: slack.com
  endpointSelector:
    matchLabels:
      app.kubernetes.io/component: notifications-controller
{{- end }}
